nn.pp.rccore

## Interface MouseEventListener

- All Known Implementing Classes:
    RCAdapter

      public interface MouseEventListener

  Event handlers for mouse events
  See Also:
    `RCCore.addMouseEventListener(MouseEventListener, int)`, `RCCore.removeMouseEventListener(MouseEventListener)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABSOLUTE_EVENTS` Registration bit for absolute mouse events
    `static int` | `ALL` All registration bits
    `static int` | `BUTTON1` Mask indicating that the left mouse button was pressed
    `static int` | `BUTTON2` Mask indicating that the right mouse button was pressed
    `static int` | `BUTTON3` Mask indicating that the middle mouse button was pressed
    `static int` | `RELATIVE_EVENTS` Registration bit for relative mouse events
    `static int` | `WHEEL_EVENTS` Registration bit for mouse wheel events

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `absoluteMouseEvent(int x, int y, int buttons)` An absolute mouse event has been detected.
    `void` | `mouseWheelEvent(int rotation, int buttons)` A mouse wheel event has been detected.
    `void` | `relativeMouseEvent(int x, int y, int buttons)` A relative mouse event has been detected.

- - ### Field Detail

    - #### BUTTON1

          static final int BUTTON1

      Mask indicating that the left mouse button was pressed
      See Also:
        Constant Field Values

    - #### BUTTON2

          static final int BUTTON2

      Mask indicating that the right mouse button was pressed
      See Also:
        Constant Field Values

    - #### BUTTON3

          static final int BUTTON3

      Mask indicating that the middle mouse button was pressed
      See Also:
        Constant Field Values

    - #### ABSOLUTE_EVENTS

          static final int ABSOLUTE_EVENTS

      Registration bit for absolute mouse events
      See Also:
        Constant Field Values

    - #### RELATIVE_EVENTS

          static final int RELATIVE_EVENTS

      Registration bit for relative mouse events
      See Also:
        Constant Field Values

    - #### WHEEL_EVENTS

          static final int WHEEL_EVENTS

      Registration bit for mouse wheel events
      See Also:
        Constant Field Values

    - #### ALL

          static final int ALL

      All registration bits
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### absoluteMouseEvent

          void absoluteMouseEvent(int x,
                                  int y,
                                  int buttons)

      An absolute mouse event has been detected.

      Absolute mouse events contain the absolute coordinates within the KVM console.

      The absolute mouse is always used by the client, independent of the actually set mouse mode, unless Single Mouse mode is used.

      This event is sent when registered with the `ABSOLUTE_EVENTS` event mask.

      Parameters:
        `x` - the X coordinate of the mouse event
        `y` - the Y coordinate of the mouse event
        `buttons` - the buttons which are pressed

    - #### relativeMouseEvent

          void relativeMouseEvent(int x,
                                  int y,
                                  int buttons)

      A relative mouse event has been detected.

      Relative mouse events contain the relative mouse movement, relative to the last mouse position. A move 10 pixels to the left, for example, results in a -10 for the X coordinate.

      Relative mouse events are used when the client is in Single Mouse mode.

      This event is sent when registered with the `RELATIVE_EVENTS` event mask.

      Parameters:
        `x` - the X coordinate of the mouse event
        `y` - the Y coordinate of the mouse event
        `buttons` - the buttons which are pressed

    - #### mouseWheelEvent

          void mouseWheelEvent(int rotation,
                               int buttons)

      A mouse wheel event has been detected.

      This event is sent when registered with the `WHEEL_EVENTS` event mask.

      Parameters:
        `rotation` - the rotation of the mouse wheel
        `buttons` - the buttons which are pressed

Copyright © 2025 Raritan Inc. All Rights Reserved.